This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 192969 - pygrub crashes if grub.conf has no default=N line
pygrub crashes if grub.conf has no default=N line
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks: 192971
  Show dependency treegraph
 
Reported: 2006-05-24 11:40 EDT by Rik van Riel
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 22:52:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2006-05-24 11:40:03 EDT
Description of problem:

# xm create -c rhel4pv
Using config file "/etc/xen/rhel4pv".
Traceback (most recent call last):
  File "/usr/bin/pygrub", line 258, in ?
    curses.wrapper(run_main)
  File "/usr/lib/python2.4/curses/wrapper.py", line 44, in wrapper
    return func(stdscr, *args, **kwds)
  File "/usr/bin/pygrub", line 214, in run_main
    sel = main(cf)
  File "/usr/bin/pygrub", line 164, in main
    selected = cf.default
  File "/usr/lib/python2.4/site-packages/grub/GrubConf.py", line 193, in
_get_default
    return self._default
AttributeError: 'GrubConfigFile' object has no attribute '_default'
Error: Boot loader didn't return any data!

Version-Release number of selected component (if applicable):

xen-3.0.2-0.FC5.1

Steps to reproduce:
1. install fully virtualized guest
2. install paravirtualized kernel inside it
3. remove default=1 line from grub.conf
4. try to boot the domain in paravirt, get above error message
5. boot the domain in HVM mode, normal grub works fine
6. edit grub.conf add back default=0 line
7. now pygrub is happy again
Comment 2 Jeremy Katz 2007-03-26 22:52:42 EDT
This was fixed long ago

Note You need to log in before you can comment on or make changes to this bug.